#include <iostream>
#include <iomanip>

using namespace std;

#define MAXE 100000

int main()
{
    int n, x[MAXE], y[MAXE], z[MAXE], ind = 0, j = 1;
    cin >> n;
    for(int i = 1; i <= n; i++){
        cin >> x[i];
    }
    for(int i = 1; i <= n; i++){
        cin >> y[i];
    }
    for(int i = 1; i <= n; i++){
        cin >> z[i];
    }
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= n; j++){
            for(int k = 1; k <= n; k++){
                if(x[i] == y[j])
                    if(j == z[k])
                        ind++;
            }
        }
    }
    cout << ind;
    return 0;
}